package com.winsun.tenpay;

import java.io.InputStream;
import java.util.Properties;

public class InitPropLoader
{
  public Properties getProperties(String propName)
  {
    Properties prop = new Properties();
    InputStream in = null;
    try
    {
      in = InitPropLoader.class.getResourceAsStream("/" + propName);
      prop.load(in);
    }
    catch (Exception e)
    {
      e.printStackTrace();
      try
      {
        if (in != null) {
          in.close();
        }
      }
      catch (Exception localException1) {}
    }
    finally
    {
      try
      {
        if (in != null) {
          in.close();
        }
      }
      catch (Exception localException2) {}
    }
    return prop;
  }
}
